質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.37%

  • Node.js

    2475questions

    Node.jsとはGoogleのV8 JavaScriptエンジンを使用しているサーバーサイドのイベント駆動型プログラムです。

  • npm

    395questions

    npmは、Node Packaged Modulesの略。Node.jsのライブラリ・パッケージを管理できるツールです。様々なモジュールを簡単にインストールでき、自分でモジュールを作成し公開する際にも使用できます。

レンタルサーバでのnpm updateでエラーが出る

受付中

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 430
退会済みユーザー

退会済みユーザー

実現したいこと
こんにちは、レンタルサーバーにnode.jsを入れました。

インストール方法は、
「curl -o- https://raw.githubusercontent.com/creationix/nvm/v0.33.2/install.sh | bash」
スクリプトでnvmをインストールして、その後nvm経由でnode.jsをインストールしました。

下記のようなコマンドでバージョン表記が出るため、インストール自体は上手くいっていると思います。

node -v //v8.2.1
npm --version //5.3.0

、、、が、肝心の「npm update」を行うと下記のようなエラーが出てしまいました。
実現したいことはローカル環境のように、普通にnpm updateを行えるようにしたいです。
npmのlogです。
大文字「USERID」はレンタルサーバーのIDになります。実表記は「pffddmf」のような文字列で表記されます
...
0 info it worked if it ends with ok
1 verbose cli [ '/home/USERID/.nvm/versions/node/v8.2.1/bin/node',
1 verbose cli   '/home/USERID/.nvm/versions/node/v8.2.1/bin/npm',
1 verbose cli   'update' ]
2 info using npm@5.3.0
3 info using node@v8.2.1
4 verbose npm-session eebea58621033fd1
5 silly mapToRegistry name clean-css
.....このようにしばらくは成功しますが、
後半の316行目でエラーになりました。

314 silly extract clean-css-cli@4.1.6
315 silly extract clean-css-loader@0.1.3
316 verbose stack Error: spawn /home/USERID/.nvm/versions/node/v8.2.1/bin/node EAGAIN
316 verbose stack     at exports._errnoException (util.js:1024:11)
316 verbose stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:192:19)
316 verbose stack     at onErrorNT (internal/child_process.js:374:16)
316 verbose stack     at _combinedTickCallback (internal/process/next_tick.js:138:11)
316 verbose stack     at process._tickCallback (internal/process/next_tick.js:180:9)
317 verbose cwd /home/USERID/public_html/node_test
318 verbose Linux 3.10.0-427.18.2.lve1.4.38.el7.x86_64
319 verbose argv "/home/USERID/.nvm/versions/node/v8.2.1/bin/node" "/home/USERID/.nvm/versions/node/v8.2.1/bin/npm" "update"
320 verbose node v8.2.1
321 verbose npm  v5.3.0
322 error path /home/USERID/.nvm/versions/node/v8.2.1/bin/node
323 error code EAGAIN
324 error errno EAGAIN
325 error syscall spawn /home/USERID/.nvm/versions/node/v8.2.1/bin/node
326 error spawn /home/USERID/.nvm/versions/node/v8.2.1/bin/node EAGAIN
327 verbose exit [ 1, true ]
エラーログ終わり
何か必要な設定はあるのでしょうか?
ちなみにローカル環境のmacで開発している時は、問題なくnpm updateできています。

お手数ですが、どなたかお助けいただけないでしょうか?
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • scsi

    2017/08/24 22:36

    レンタルサーバーのサービス名やOSのバージョンなどの情報は書いたほうがいいと思います。

    キャンセル

回答 1

0

https://github.com/balena-io/etcher/issues/1578

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.37%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

同じタグがついた質問を見る

  • Node.js

    2475questions

    Node.jsとはGoogleのV8 JavaScriptエンジンを使用しているサーバーサイドのイベント駆動型プログラムです。

  • npm

    395questions

    npmは、Node Packaged Modulesの略。Node.jsのライブラリ・パッケージを管理できるツールです。様々なモジュールを簡単にインストールでき、自分でモジュールを作成し公開する際にも使用できます。